### Method

# Adw OverlaySplitView set_max_sidebar_width

since: 1.4

#### Declaration [src]

    void
    adw_overlay_split_view_set_max_sidebar_width (
      AdwOverlaySplitView* self,
      double width
    )

#### Description [src]

Sets the maximum sidebar width for `self`.

Maximum width is affected by `AdwOverlaySplitView:sidebar-width-unit`.

The sidebar widget can still be allocated with larger width if its own minimum width exceeds it.

Available since: 1.4

Sets property | `Adw.OverlaySplitView:max-sidebar-width`

#### Parameters

`width`

  Type: `double`

  The maximum width.